Ppmtoacad User Manual(0)

NAME
ppmtoacad - convert PPM to Autocad database or slide

SYNOPSIS
ppmtoacad [-dxb] [-poly] [-background color] [-white] [-aspect ratio] [-8] [ppmfile]

DESCRIPTION

This program is part of Netpbm(1) .

ppmtoacad reads a PPM image as input and produces an Autocad® slide file or binary database import (.dxb) file as output. If you don't specify ppmfile, ppmtoacad takes the input from Standard Input.

(Typographical note: the name of Autocad is often rendered as AutoCAD. Netpbm documentation uses standard American typography, wherein that is not a valid form of capitalization).

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), ppmtoacad recognizes the following command line options:

You may abbreviate any option to its shortest unique prefix.

-dxb
    ppmtoacad writes an Autocad binary database import (.dxb) file. You read this file with the DXBIN command and, once loaded, it becomes part of the Autocad geometrical database, so you can view and edit it like any other object. Each sequence of identical pixels becomes a separate object in the database; this can result in very large Autocad drawing files. However, if you want to trace over a bitmap, it lets you zoom and pan around the bitmap as you wish.

-poly
    If you don't specify the -dxb option, ppmtoacad generates an Autocad slide file. Normally each row of pixels is represented by an Autocad line entity. If you specify -poly, ppmtoacad renders the pixels as filled polygons. If you view the slide on a display with higher resolution than the source image, this will cause the pixels to expand instead of appearing as discrete lines against the screen background color. Regrettably, this representation yields slide files which occupy more storage space and take longer to display.

-background color
    Most Autocad display drivers can be configured to use any available color as the screen background. Some users prefer a black screen background, others white, while splinter groups advocate burnt ocher, tawny puce, and shocking gray. Discarding pixels whose closest Autocad color representation is equal to the background color can substantially reduce the size of the Autocad database or slide file needed to represent a bitmap. If you don't specify -background, ppmtoacad assumes the screen background color to be black. You may specify any Autocad color number as the screen background; ppmtoacad assumes color numbers to specify the hues defined in the standard Autocad 256 color palette.

-white
    Since many Autocad users choose a white screen background, this option is provided as a short-cut. Specifying -white is identical in effect to -background 7.

-aspect ratio
    If the source image had non-square pixels (which means it is not standard PPM), specify the ratio of the pixel width to pixel height as ratio. ppmtoacad will correct the resulting slide or .dxb file so that pixels on the Autocad screen will be square. For example, to correct an image made for a 320x200 VGA/MCGA screen, specify -aspect 0.8333.

-8  Restricts the colors in the output file to the 8 RGB shades.

RESTRICTIONS

Autocad has a fixed palette of 256 colors, distributed along the hue, lightness, and saturation axes. So it may poorly render images which contain many nearly-identical colors, or colors not closely approximated by Autocad's palette.

ppmtoacad works best if the system displaying its output can display the full 256 color Autocad palette. Monochrome, 8 color, and 16 color configurations will produce less than optimal results.

When creating a .dxb file or a slide file with the -poly option, ppmtoacad finds both vertical and horizontal runs of identical pixels and consolidates them into rectangular regions to reduce the size of the output file. This is effective for images with large areas of constant color but it's no substitute for true raster to vector conversion. In particular, this process does not optimize thin diagonal lines at all.

Output files can be huge.

SEE ALSO

Autocad Reference Manual: Slide File Format and Binary Drawing Interchange (DXB) Files, ppm(1)

AUTHOR
John Walker
Autodesk SA
Avenue des Champs-Montants 14b
CH-2074 MARIN
Suisse/Schweiz/Svizzera/Svizra/Switzerland
    Usenet:kelvin@Autodesk.com
    Fax:038/33 88 15
    Voice:038/33 76 33

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, without any conditions or restrictions. This software is provided "as is" without express or implied warranty.

Autocad and Autodesk are registered trademarks of Autodesk, Inc.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/ppmtoacad.html